Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234916 - need option to control size of tmpfs for readonly-root
Summary: need option to control size of tmpfs for readonly-root
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2007-04-02 20:07 UTC by Christopher Blizzard
Modified: 2014-03-17 03:06 UTC (History)
2 users (show)

Fixed In Version: 8.52-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-13 22:52:54 UTC


Attachments (Terms of Use)
patch for FC-6 (deleted)
2007-04-16 18:06 UTC, Bill Nottingham
no flags Details | Diff

Description Christopher Blizzard 2007-04-02 20:07:17 UTC
Description of problem:

On OLPC we need to limit the size of the tmpfs that everything is mounted on. 
We have no backing store so if you download something large into /tmp it will
eat all the available memory and OOM will start eating things.

Version-Release number of selected component (if applicable):

initscripts-9.45.7-1

Comment 1 Matthew Miller 2007-04-10 16:26:40 UTC
Fedora 7 test bugs should be filed against "devel", not against test1/2/3. This
isn't obvious, I know. Moving this report so it isn't lost.

This is a bulk message -- I apologize if this was actually meant to be targeted
against a different release. If so, please fix or let me know. Thanks.

Comment 2 Bill Nottingham 2007-04-13 22:52:54 UTC
Options added in CVS, will be in 8.52-1.

# Options to use for temporary mount
RW_OPTIONS=
# Options to use for peristent mount
STATE_OPTIONS=


Comment 3 Christopher Blizzard 2007-04-15 14:14:06 UTC
Bill, any chance we can get this ported to FC-6 packages as well?

Comment 4 Bill Nottingham 2007-04-16 18:06:18 UTC
Created attachment 152707 [details]
patch for FC-6

Here's the patch for FC-6; it's in CVS, but there aren't really updates
scheduled for initscripts for FC-6 at this point. Do you need a released
update?


Note You need to log in before you can comment on or make changes to this bug.